Unit Mouse ;

Interface

function	MReset		: Boolean ;
procedure	MEnable ;
procedure	MDisable ;
procedure	MReadState (var ButtonStatus, Horisontal, Vertical : integer ) ;
procedure	MSetLocation ( Horisontal, Vertical : integer ) ;
procedure	MReadPress ( Button : word ;
	var ButtonStatus, PressNumber, Horisontal, Vertical : integer ) ;
procedure	MReadRelease ( Button : word ;
	var ButtonStatus, PressNumber, Horisontal, Vertical : integer ) ;
procedure	MDefineXRange ( Min, Max : integer ) ;
procedure	MDefineYRange ( Min, Max : integer ) ;
procedure	MDefineGStyle ( HotX, HotY : word ; Mask : pointer ) ;
procedure	MDefineTStyle ( SoftStyle : Boolean ;
	ScreenMask, CursorMask : pointer ) ;
procedure	MReadMotion ( var Horisontal, Vertical : integer ) ;
procedure	MDefineHandler ( CallMask : word ; Handler : pointer ) ;

Implementation

Uses Dos ;
Var	r	: registers ;
function	MReset ;
begin with r do begin
	ax := 0 ;
	Intr(51,r) ;
	MReset := ax = 65535
end end ;
procedure	MEnable ;
begin with r do begin
	ax := 1 ;
	Intr(51,r)
end end ;
procedure	MDisable ;
begin with r do begin
	ax := 2 ;
	Intr(51,r)
end end ;
procedure	MReadState ;
begin with r do begin
	ax := 3 ;
	Intr(51,r) ;
	ButtonStatus := bx ;
	Horisontal := cx ;
	Vertical := dx
end end ;
procedure	MSetLocation ;
begin with r do begin
	ax := 4 ;
	cx := Horisontal ;
	dx := Vertical ;
	Intr(51,r)
end end ;
procedure	MReadPress ;
begin with r do begin
	ax := 5 ;
	bx := Button ;
	Intr(51,r) ;
	ButtonStatus := ax ;
	PressNumber := bx ;
	Horisontal := cx ;
	Vertical := dx
end end ;
procedure	MReadRelease ;
begin with r do begin
	ax := 6 ;
	bx := Button ;
	Intr(51,r) ;
	ButtonStatus := ax ;
	PressNumber := bx ;
	Horisontal := cx ;
	Vertical := dx
end end ;
procedure	MDefineXRange ;
begin with r do begin
	ax := 7 ;
	cx := Min ;
	dx := Max ;
	Intr(51,r)
end end ;
procedure	MDefineYRange ;
begin with r do begin
	ax := 8 ;
	cx := Min ;
	dx := Max ;
	Intr(51,r)
end end ;
procedure	MDefineGStyle ;
begin with r do begin
	ax := 9 ;
	bx := HotX ;
	cx := HotY ;
	dx := ofs(Mask) ;
	es := seg(Mask) ;
	Intr(51,r)
end end ;
procedure	MDefineTStyle ;
begin with r do begin
	ax := 10 ;
	if SoftStyle then bx := 0 else bx := 1 ;
	es := seg(ScreenMask) ;
	cx := ofs(ScreenMask) ;
	dx := ofs(CursorMask) ; { suppose same segment }
	Intr(51,r)
end end ;
procedure	MReadMotion ;
begin with r do begin
	ax := 11 ;
	Intr(51,r) ;
	Horisontal := cx ;
	Vertical := dx
end end ;
procedure	MDefineHandler ;
begin with r do begin
	ax := 12 ;
	cx := CallMask ;
	es := seg(Handler) ;
	dx := ofs(Handler) ;
	Intr(51,r)
end end ;
end { of unit } .