procedure SetEnv ;
var
	GraphMode,
	GraphError		: integer ;

{$I DrawBall	}
{$I DrawRckt	}

begin
	DetectGraph(GraphDriver,GraphMode) ;
	if (ParamStr(1) = '/c') or (ParamStr(1) = '/C') then
		GraphDriver := CGA ;
	if GraphDriver < 3 then begin { CGA }
		GraphMode := CGAC2 ;
		FieldColor := 1 ;
		MyRacketColor := 2 ;
		MyRacketLength := 5 ;
		MyRacketThick := 1 ;
		OtherRacketColor := 2 ;
		OtherRacketLength := 5 ;
		OtherRacketThick := 1 ;
		BallSizeX := 3 ;
		BallSizeY := 3 ;
		BallColor := 0 ;
		ClockColor := 2 ;
		ClockFaceColor := 0 ;
		EnqNameX := 20 ;
		PosNameX := 100 ;
		PosNameY := 155 ;
		TextColor := 2 ;
	end else begin { EGA }
		FieldColor := Green ;
		MyRacketColor := Red ;
		MyRacketLength := 10 ;
		MyRacketThick := 2 ;
		OtherRacketColor := Red ;
		OtherRacketLength := 10 ;
		OtherRacketThick := 2 ;
		BallSizeX := 6 ;
		BallSizeY := 5 ;
		BallColor := White ;
		ClockColor := Black ;
		ClockFaceColor := Yellow ;
		EnqNameX := 40 ;
		PosNameX := 200 ;
		PosNameY := 265 ;
		TextColor := Black ;
	end ;
	ReadScore ;
	if not MReset then begin
		writeln('This program won''t work without a mouse !') ;
		halt(2)
	end ;
	InitGraph(GraphDriver,GraphMode,'') ;
	GraphError := GraphResult ;
	if GraphError <> 0 then begin
		writeln('Graphics initialization error : ',
		GraphErrorMsg(GraphError)) ;
		halt(1)
	end ;
	if GraphDriver < 3 then SetBkColor(15) ;

	RMSet(RMSetup,nil) ;
	Key := chr(0) ;
	EndGame := false ;
	Music := true ;
	Level := 1 ;
	MyBalls := 0 ;
	OtherBalls := 0 ;
        MyGames := 0 ;
        OtherGames := 0 ;
	Player := '' ;
	ScoreUpdated := false ;

	MaxX := GetMaxX ;
	MaxY := GetMaxY ;
	FieldX1 := 10 ;
	FieldX2 := MaxX div 2 ;
	FieldY1 := 10 ;
	FieldY2 := MaxY - 10 ;

	MDefineXRange(FieldX1+MyRacketLength,FieldX2-MyRacketLength) ;
	MDefineYRange(FieldY1+(FieldY2-FieldY1) div 2+MyRacketThick+1,
		FieldY2-MyRacketThick) ;

	DrawBall ;
	DrawMyRacket ;
	DrawOtherRacket ;
	ClearDevice ;
end ; { of procedure SetEnv }